<?
include 'mysql.php';
include_once("inclydings/sesi.php");
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/antixak.php");
include 'inclydings/ini.php';
$_title = 'Персонаж';
include 'inclydings/zag.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
if (isset($user)) {

switch($go) {

default:

echo "<form action=\"sellrukvesh.php?$sd&go=go&name=$name&id=$id\" method=\"post\">Сколько?:<br/>";
echo "<input name=\"kol\" maxlength=\"10\" title=\"*N\" emptyok=\"true\"/><br/>";
echo "Цена: <img src='pik4erspic/mini/aden.gif' alt='pic'/> за 1 штуку:<br/>";
echo "<input name=\"cena\" maxlength=\"10\" title=\"*N\" emptyok=\"true\"/><br/>";
echo '<input type="submit" value="Продать!" /></form>';

break;

case 'go':

$kol = htmlspecialchars(stripslashes($kol));
$id = htmlspecialchars(stripslashes($id));
$cena = htmlspecialchars(stripslashes($cena));

if(eregi("[^0-9]",$kol)){echo"Вводите число, а не буквы!"; include_once"inclydings/down.php"; exit;}
if(eregi("[^0-9]",$cena)){echo"Вводите число, а не буквы!"; include_once"inclydings/down.php"; exit;}

if(empty($cena)){echo"Вы не ввели цену товара."; include_once"inclydings/down.php"; exit;}
if(empty($kol)){echo"Вы не ввели колличество товара."; include_once"inclydings/down.php"; exit;}


$file = @file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$id]);

if($data[4]=="SoulShot"){echo" ЗАПРЕЩЕНО!"; include_once"inclydings/down.php"; exit; }
if($data[4]=="Olimpiad Medal"){echo"Продажа медалей ЗАПРЕЩЕНА!"; include_once"inclydings/down.php"; exit; }
if($kol>$data[3]){echo"У вас нет столько вещей!"; include_once"inclydings/down.php"; exit; }
$text="$data[0]||$data[1]||$data[2]||$kol||$data[4]||$cena||$text||";

$fp=fopen("L2dbnam/esql2db/sellruk/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$kol=$data[3]-$kol;

if($kol=="0"){



$file=file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$id) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}else{


$file=file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$id) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$text="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

}

echo"Вещи выставленны на продажу.<br/><a href=\"sellruktime.php?$sd\">Продолжить</a>";

break;

}
}else{echo"Пароль или ник неверен. Возможно сессия устарела. Попробуйте авторизироваться заново.";}

include_once"inclydings/down.php";
?>
